/*
 * acel.h
 *
 *  Created on:
 *      Author: Eduardo Sepulveda
 */

#ifndef ACEL_H_
#define ACEL_H_

//#include "type.h"
#include "PickMouse_types.h"

typedef enum
{
	STOP = 0,
	UP,
	DOWN,
	LEFT,
	RIGHT,
	UNKNOWN

}t_move;

void ADC_Init();

void ADC_Test(bool filter,int loops, int chanx, int chany,int chanz, bool lib);

void ADC_GetAcel(int chanx, int chany,int chanz, bool lib, bool filter);
void ADC_GetReposeValues(int chanx, int chany,int chanz);

int ADC_LookFor_Start_Stop_X();
int ADC_LookFor_Start_Stop_Y();

void ADC_LookForNoise(bool* disX,bool* disY,bool* disZ);
bool ADC_ExtreamsValuesFilter();
void ADC_CalculateDiffs();
void ADC_DiscartNoiseData(bool disX,bool disY,bool disZ);
void ADC_MoveValues();

void ADC_PrintDiffs();
void ADC_PrintMaxMinDiffs();

void ADC_ResetDiffs();
void ADC_ResetDiscarts();
void ADC_ResetVals();

void ADC_MaxMinDiffs();		//Only for statistics

#endif /* ACEL_H_ */
